package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OAHireSalaryDataEntryCollection extends AbstractObjectCollection 
{
    public OAHireSalaryDataEntryCollection()
    {
        super(OAHireSalaryDataEntryInfo.class);
    }
    public boolean add(OAHireSalaryDataEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OAHireSalaryDataEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OAHireSalaryDataEntryInfo item)
    {
        return removeObject(item);
    }
    public OAHireSalaryDataEntryInfo get(int index)
    {
        return(OAHireSalaryDataEntryInfo)getObject(index);
    }
    public OAHireSalaryDataEntryInfo get(Object key)
    {
        return(OAHireSalaryDataEntryInfo)getObject(key);
    }
    public void set(int index, OAHireSalaryDataEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OAHireSalaryDataEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OAHireSalaryDataEntryInfo item)
    {
        return super.indexOf(item);
    }
}